package com.ruoyi.sy.domain;

import com.alibaba.fastjson2.JSONArray;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 三级专业概况对象 sy_major_overview
 *
 * @author mingxue
 * @date 2022-04-13
 */
public class SyMajorOverview extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;
    private Long marjorId;

    /** 三级专业code */
    @Excel(name = "三级专业code")
    private String code;

    private List<String> codes;

    private Boolean isCollect = false;

    /** 三级专业名称 */
    @Excel(name = "三级专业名称")
    private String name;

    /** 子级数目 */
    @Excel(name = "子级数目")
    private Long childCount;

    /** 授予学位
 */
    @Excel(name = "授予学位")
    private String degree;

    /** 学历层次（ben/zhuan） */
    @Excel(name = "学历层次", readConverterExp = "b=en/zhuan")
    private String eduLevel;

    /** 培养目标 */
    @Excel(name = "培养目标")
    private String eduObjective;

    /** 培养要求 */
    @Excel(name = "培养要求")
    private String eduRequirement;

    /** 雇佣热度 */
    @Excel(name = "雇佣热度")
    private Long employmentHeat;

    /** 社会名人 */
    @Excel(name = "社会名人")
    private String famousScholar;

    /** 女性比例 */
    @Excel(name = "女性比例")
    private Long femaleRatio;

    /** 女性比例 */
    @Excel(name = "女性比例")
    private String femaleRatioText;

    /** 点击数 */
    @Excel(name = "点击数")
    private Long hits;

    /** 实习描述 */
    @Excel(name = "实习描述")
    private String internshipDesc;

    /** 专业介绍 */
    @Excel(name = "专业介绍")
    private String introduction;

    /** 职业方向 */
    @Excel(name = "职业方向")
    private String jobDirection;

    /** 职业介绍 */
    @Excel(name = "职业介绍")
    private String jobText;

    /** 学习年分 */
    @Excel(name = "学习年分")
    private String learnYear;

    /** 修业年限 */
    @Excel(name = "修业年限")
    private String learnYearArab;

    /** 修业年限（中文） */
    @Excel(name = "修业年限", readConverterExp = "中=文")
    private String learnYearZh;

    /** 层级 */
    @Excel(name = "层级")
    private Long level;

    /** lkRatio */
    @Excel(name = "lkRatio")
    private Long lkRatio;

    /** lkRatioText */
    @Excel(name = "lkRatioText")
    private String lkRatiotext;

    /** 知识能力 */
    @Excel(name = "知识能力")
    private String loreAndAbility;

    /** 主要课程 */
    @Excel(name = "主要课程")
    private String mainCourse;

    /** 男性比例 */
    @Excel(name = "男性比例")
    private Long maleRatio;

    /** 男性比例 */
    @Excel(name = "男性比例")
    private String maleRatioText;

    /** 打开学校数 */
    @Excel(name = "打开学校数")
    private Long openCollegeCount;

    /** 薪资 */
    @Excel(name = "薪资")
    private String salary;

    /** 考研方向 */
    @Excel(name = "考研方向")
    private String studyDirection;

    /** 学科要求 */
    @Excel(name = "学科要求")
    private String subjectRequirement;

    /** 总结 */
    @Excel(name = "总结")
    private String summary;

    /** wkRatio */
    @Excel(name = "wkRatio")
    private Long wkRatio;

    /** wkRatioText */
    @Excel(name = "wkRatioText")
    private String wkRatioText;

    /** 专升本 */
    @Excel(name = "专升本")
    private String zhuanToBenOrient;

    /** 二级专业名称 */
    @Excel(name = "二级专业名称")
    private String middleName;

    /** 一级专业名称 */
    @Excel(name = "一级专业名称")
    private String bigName;

    private String qualification;
    private String zhongzhiMajors;
    private String benMajors;
    private String relationMajors;

    public String getQualification() {
        return qualification;
    }

    public void setQualification(String qualification) {
        this.qualification = qualification;
    }

    public String getZhongzhiMajors() {
        return zhongzhiMajors;
    }

    public void setZhongzhiMajors(String zhongzhiMajors) {
        this.zhongzhiMajors = zhongzhiMajors;
    }

    public String getBenMajors() {
        return benMajors;
    }

    public void setBenMajors(String benMajors) {
        this.benMajors = benMajors;
    }

    public String getRelationMajors() {
        return relationMajors;
    }

    public void setRelationMajors(String relationMajors) {
        this.relationMajors = relationMajors;
    }



    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCode(String code)
    {
        this.code = code;
    }

    public String getCode()
    {
        return code;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setChildCount(Long childCount)
    {
        this.childCount = childCount;
    }

    public Long getChildCount()
    {
        return childCount;
    }
    public void setDegree(String degree)
    {
        this.degree = degree;
    }

    public String getDegree()
    {
        return degree;
    }
    public void setEduLevel(String eduLevel)
    {
        this.eduLevel = eduLevel;
    }

    public String getEduLevel()
    {
        return eduLevel;
    }
    public void setEduObjective(String eduObjective)
    {
        this.eduObjective = eduObjective;
    }

    public String getEduObjective()
    {
        return eduObjective;
    }
    public void setEduRequirement(String eduRequirement)
    {
        this.eduRequirement = eduRequirement;
    }

    public String getEduRequirement()
    {
        return eduRequirement;
    }
    public void setEmploymentHeat(Long employmentHeat)
    {
        this.employmentHeat = employmentHeat;
    }

    public Long getEmploymentHeat()
    {
        return employmentHeat;
    }
    public void setFamousScholar(String famousScholar)
    {
        this.famousScholar = famousScholar;
    }

    public String getFamousScholar()
    {
        return famousScholar;
    }
    public void setFemaleRatio(Long femaleRatio)
    {
        this.femaleRatio = femaleRatio;
    }

    public Long getFemaleRatio()
    {
        return femaleRatio;
    }
    public void setFemaleRatioText(String femaleRatioText)
    {
        this.femaleRatioText = femaleRatioText;
    }

    public String getFemaleRatioText()
    {
        return femaleRatioText;
    }
    public void setHits(Long hits)
    {
        this.hits = hits;
    }

    public Long getHits()
    {
        return hits;
    }
    public void setInternshipDesc(String internshipDesc)
    {
        this.internshipDesc = internshipDesc;
    }

    public String getInternshipDesc()
    {
        return internshipDesc;
    }
    public void setIntroduction(String introduction)
    {
        this.introduction = introduction;
    }

    public String getIntroduction()
    {
        return introduction;
    }
    public void setJobDirection(String jobDirection)
    {
        this.jobDirection = jobDirection;
    }

    public String getJobDirection()
    {
        return jobDirection;
    }
    public void setJobText(String jobText)
    {
        this.jobText = jobText;
    }

    public JSONArray getJobText()
    {
        return JSONArray.parseArray(jobText);
    }
    public void setLearnYear(String learnYear)
    {
        this.learnYear = learnYear;
    }

    public String getLearnYear()
    {
        return learnYear;
    }
    public void setLearnYearArab(String learnYearArab)
    {
        this.learnYearArab = learnYearArab;
    }

    public String getLearnYearArab()
    {
        return learnYearArab;
    }
    public void setLearnYearZh(String learnYearZh)
    {
        this.learnYearZh = learnYearZh;
    }

    public String getLearnYearZh()
    {
        return learnYearZh;
    }
    public void setLevel(Long level)
    {
        this.level = level;
    }

    public Long getLevel()
    {
        return level;
    }
    public void setLkRatio(Long lkRatio)
    {
        this.lkRatio = lkRatio;
    }

    public Long getLkRatio()
    {
        return lkRatio;
    }
    public void setLkRatiotext(String lkRatiotext)
    {
        this.lkRatiotext = lkRatiotext;
    }

    public String getLkRatiotext()
    {
        return lkRatiotext;
    }
    public void setLoreAndAbility(String loreAndAbility)
    {
        this.loreAndAbility = loreAndAbility;
    }

    public String getLoreAndAbility()
    {
        return loreAndAbility;
    }
    public void setMainCourse(String mainCourse)
    {
        this.mainCourse = mainCourse;
    }

    public String getMainCourse()
    {
        return mainCourse;
    }
    public void setMaleRatio(Long maleRatio)
    {
        this.maleRatio = maleRatio;
    }

    public Long getMaleRatio()
    {
        return maleRatio;
    }
    public void setMaleRatioText(String maleRatioText)
    {
        this.maleRatioText = maleRatioText;
    }

    public String getMaleRatioText()
    {
        return maleRatioText;
    }
    public void setOpenCollegeCount(Long openCollegeCount)
    {
        this.openCollegeCount = openCollegeCount;
    }

    public Long getOpenCollegeCount()
    {
        return openCollegeCount;
    }
    public void setSalary(String salary)
    {
        this.salary = salary;
    }

    public String getSalary()
    {
        return salary;
    }
    public void setStudyDirection(String studyDirection)
    {
        this.studyDirection = studyDirection;
    }

    public String getStudyDirection()
    {
        return studyDirection;
    }
    public void setSubjectRequirement(String subjectRequirement)
    {
        this.subjectRequirement = subjectRequirement;
    }

    public String getSubjectRequirement()
    {
        return subjectRequirement;
    }
    public void setSummary(String summary)
    {
        this.summary = summary;
    }

    public String getSummary()
    {
        return summary;
    }
    public void setWkRatio(Long wkRatio)
    {
        this.wkRatio = wkRatio;
    }

    public Long getWkRatio()
    {
        return wkRatio;
    }
    public void setWkRatioText(String wkRatioText)
    {
        this.wkRatioText = wkRatioText;
    }

    public String getWkRatioText()
    {
        return wkRatioText;
    }
    public void setZhuanToBenOrient(String zhuanToBenOrient)
    {
        this.zhuanToBenOrient = zhuanToBenOrient;
    }

    public String getZhuanToBenOrient()
    {
        return zhuanToBenOrient;
    }
    public void setMiddleName(String middleName)
    {
        this.middleName = middleName;
    }

    public String getMiddleName()
    {
        return middleName;
    }
    public void setBigName(String bigName)
    {
        this.bigName = bigName;
    }

    public String getBigName()
    {
        return bigName;
    }

    public Boolean getIsCollect() {
        return isCollect;
    }

    public void setIsCollect(Boolean collect) {
        isCollect = collect;
    }

    public Long getMarjorId() {
        return marjorId;
    }

    public void setMarjorId(Long marjorId) {
        this.marjorId = marjorId;
    }

    public List<String> getCodes() {
        return codes;
    }

    public void setCodes(List<String> codes) {
        this.codes = codes;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("name", getName())
            .append("childCount", getChildCount())
            .append("degree", getDegree())
            .append("eduLevel", getEduLevel())
            .append("eduObjective", getEduObjective())
            .append("eduRequirement", getEduRequirement())
            .append("employmentHeat", getEmploymentHeat())
            .append("famousScholar", getFamousScholar())
            .append("femaleRatio", getFemaleRatio())
            .append("femaleRatioText", getFemaleRatioText())
            .append("hits", getHits())
            .append("internshipDesc", getInternshipDesc())
            .append("introduction", getIntroduction())
            .append("jobDirection", getJobDirection())
            .append("jobText", getJobText())
            .append("learnYear", getLearnYear())
            .append("learnYearArab", getLearnYearArab())
            .append("learnYearZh", getLearnYearZh())
            .append("level", getLevel())
            .append("lkRatio", getLkRatio())
            .append("lkRatiotext", getLkRatiotext())
            .append("loreAndAbility", getLoreAndAbility())
            .append("mainCourse", getMainCourse())
            .append("maleRatio", getMaleRatio())
            .append("maleRatioText", getMaleRatioText())
            .append("openCollegeCount", getOpenCollegeCount())
            .append("salary", getSalary())
            .append("studyDirection", getStudyDirection())
            .append("subjectRequirement", getSubjectRequirement())
            .append("summary", getSummary())
            .append("wkRatio", getWkRatio())
            .append("wkRatioText", getWkRatioText())
            .append("zhuanToBenOrient", getZhuanToBenOrient())
            .append("middleName", getMiddleName())
            .append("bigName", getBigName())
            .toString();
    }
}
